# Create a new inventory warehouse

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Creates an inventory warehouse. name is the only property you can define; inventory_warehouse_id is generated automatically.

Endpoint: POST /v2/inventory_warehouses
Version: 2.0.0
Security: api_keys

## Request fields (application/json):

  - `name` (string, required)

## Response 200 fields (application/json):

  - `inventory_warehouse_id` (string)

  - `name` (string)

  - `created_at` (string)

  - `updated_at` (string)


